"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildEmailAction = exports.init = void 0;
const path = require("path");
const config_1 = require("./config");
const queue_1 = require("./queue");
const workflow_1 = require("./workflow");
const moment = require("moment");
const init = (workflows, options) => {
    if (workflows && workflows.length > 0) {
        workflow_1.setWorkflows(workflows);
    }
    else {
        const automationFile = require(path.join(__dirname + 'candymail.automation.json'));
        workflow_1.setWorkflows(automationFile === null || automationFile === void 0 ? void 0 : automationFile.workflows);
    }
    config_1.setConfig(options);
};
exports.init = init;
const buildEmailAction = (emails, sendTo) => {
    emails.forEach(({ sendDelay, subject, body, from }) => {
        const template = 'default';
        const today = moment.utc();
        const time = today.add(sendDelay, 'hours').format("YYYY-MM-DD HH:mm:ss");
        const sendFrom = from;
        queue_1.addScheduledMessage(time, { template, sendFrom, sendTo, subject, body });
    });
};
exports.buildEmailAction = buildEmailAction;
