"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearAllScheduledMessages = exports.getAllScheduledMessages = exports.getScheduledMessagesBeforeTime = exports.addScheduledMessage = void 0;
const db_1 = require("./db");
const addScheduledMessage = (time, messageOptions) => {
    db_1.addEmailRow(time, messageOptions);
};
exports.addScheduledMessage = addScheduledMessage;
const getScheduledMessagesBeforeTime = (time) => {
    const emails = db_1.getEmailRowsToBeSent(time);
    const messages = [];
    for (const email of emails) {
        const message = { id: email.id, email: { template: email.template, sendFrom: email.sendFrom, sendTo: email.sendTo, subject: email.subject, body: email.body } };
        messages.push(message);
    }
    return messages;
};
exports.getScheduledMessagesBeforeTime = getScheduledMessagesBeforeTime;
const getAllScheduledMessages = () => {
    const emails = db_1.getAllEmailRows();
    const messages = [];
    for (const email of emails) {
        const message = { id: email.id, email: { template: email.template, sendFrom: email.sendFrom, sendTo: email.sendTo, subject: email.subject, body: email.body } };
        messages.push(message);
    }
    return messages;
};
exports.getAllScheduledMessages = getAllScheduledMessages;
const clearAllScheduledMessages = () => {
    db_1.clearAllRows();
};
exports.clearAllScheduledMessages = clearAllScheduledMessages;
