"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runWorkflow = exports.setWorkflows = void 0;
const automation_1 = require("./automation");
const lodash_1 = require("lodash");
let loadedWorkflows;
const setWorkflows = (workflows) => {
    loadedWorkflows = workflows;
};
exports.setWorkflows = setWorkflows;
const runWorkflow = (workflow, sendTo) => {
    if (!loadedWorkflows || lodash_1.isEmpty(loadedWorkflows)) {
        throw new Error('No workflows found. Run the init first: init()');
    }
    const messagesInWorkflow = loadedWorkflows.find((message) => message.name === workflow);
    if (messagesInWorkflow) {
        automation_1.buildEmailAction(messagesInWorkflow.emails, sendTo);
    }
};
exports.runWorkflow = runWorkflow;
